Bug 115185 - setpgrp in sh.h vs unistd.h: Compile error
setpgrp in sh.h vs unistd.h: Compile error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tcsh (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-08 04:28 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 6.12.00-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-10 11:41:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2004-02-08 04:28:53 EST
tcsh-6.12-6.src.rpm

+ make all
grep 'ERR_' ./sh.err.c | grep '^#define' >> sh.err.h
gcc -E  -I. -I. -D_PATH_TCSHELL='"/bin/tcsh"'    -D_h_tc_const\
    ./tc.const.c | grep 'Char STR' | \
    sed -e 's/Char \([a-zA-Z0-9_]*\) *\[ *\].*/extern Char \1[];/' | \
    sort >> tc.const.h
gcc  -c -O2 -g -pipe -march=athlon               -I. -I.
-D_PATH_TCSHELL='"/bin/tcsh"'    sh.c
In file included from sh.c:34:
sh.h:477: error: conflicting types for `setpgrp'
/usr/include/unistd.h:587: error: previous declaration of `setpgrp'
make: *** [sh.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.7865 (%build)
  
  
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.7865 (%build)

Note You need to log in before you can comment on or make changes to this bug.